%define upstream_name    HTML-Toc
%define upstream_version 1.12

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Generate, insert and update HTML Table of Contents
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/HTML/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(HTML::Parser)
BuildRequires: perl(Test::Differences)
BuildArch: noarch


%description
Generate, insert and update HTML Table of Contents (ToC).

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
rm -rf %buildroot
%makeinstall_std

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%doc Changes META.yml
%perl_vendorlib/*

%changelog
* Thu Jan 20 2011 jquelin <jquelin> 1.120.0-1.mga1
+ Revision: 26350
- mageia rebuild
- imported package perl-HTML-Toc

